## org.gnu.gtk
Class Rc

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.gtk.Rc

public class Rc
extends MemStruct

Constructor Summary
`Rc()`

Method Summary
`void` `addDefautlFile(java.lang.String filename)`
`java.lang.String` `findModuleInPath(java.lang.String modulefile)`
`java.lang.String[]` `getDefaultFiles()`
`java.lang.String` `getIMModuleFile()`
`java.lang.String` `getIMModulePath()`
`java.lang.String` `getModuleDir()`
`Style` `getStyle(Widget widget)`
`java.lang.String` `getThemeDir()`
`void` `parse(java.lang.String filename)`
`void` `parseString(java.lang.String rcStr)`
`static void` `resetStyles(Settings settings)`
`void` `setDefaultFiles(java.lang.String[] files)`

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rc

    public Rc()

Method Detail

### addDefautlFile

    public void addDefautlFile(java.lang.String filename)

### setDefaultFiles

    public void setDefaultFiles(java.lang.String[] files)

### getDefaultFiles

    public java.lang.String[] getDefaultFiles()

### getStyle

    public Style getStyle(Widget widget)

### parse

    public void parse(java.lang.String filename)

### parseString

    public void parseString(java.lang.String rcStr)

### findModuleInPath

    public java.lang.String findModuleInPath(java.lang.String modulefile)

### getThemeDir

    public java.lang.String getThemeDir()

### getModuleDir

    public java.lang.String getModuleDir()

### getIMModulePath

    public java.lang.String getIMModulePath()

### getIMModuleFile

    public java.lang.String getIMModuleFile()

### resetStyles

    public static void resetStyles(Settings settings)